Loading...
Searching...
No Matches
fastjet::SISConeSphericalExtras Class Reference
Access to extra information

Class that provides extra information about a SISCone clustering. More...

`#include <fastjet/SISConeSphericalPlugin.hh>`

Inheritance diagram for fastjet::SISConeSphericalExtras:
[legend]
Collaboration diagram for fastjet::SISConeSphericalExtras:
[legend]

## Public Member Functions

| SISConeSphericalExtras (int nparticles)
| constructor
const SISConeSphericalPlugin * | jet_def_plugin () const
| access to the siscone jet def plugin (more convenient than getting it from the original jet definition, because here it's directly of the right type (rather than the base type)
Public Member Functions inherited from fastjet::SISConeBaseExtras
| SISConeBaseExtras (int nparticles)
| constructor
virtual | ~SISConeBaseExtras ()=0
| purely virtual destructor
const std::vector< PseudoJet > & | stable_cones () const
| returns a reference to the vector of stable cones (aka protocones)
const std::vector< PseudoJet > & | protocones () const
| an old name for getting the vector of stable cones (aka protocones)
int | pass (const PseudoJet &jet) const
| return the # of the pass at which a given jet was found; will return -1 if the pass is invalid
std::string | description () const
| return a brief summary of the contents of the extras object (specifically, the number of protocones.
double | most_ambiguous_split () const
| return the smallest difference in squared distance encountered during splitting between a particle and two overlapping protojets.

## Friends

class | SISConeSphericalPlugin

## Additional Inherited Members

Protected Attributes inherited from fastjet::SISConeBaseExtras
std::vector< PseudoJet > | _protocones
std::vector< int > | _pass
double | _most_ambiguous_split
const SISConeBasePlugin * | _jet_def_plugin

## Detailed Description

Class that provides extra information about a SISCone clustering.

Definition at line 177 of file SISConeSphericalPlugin.hh.

## Constructor & Destructor Documentation

## SISConeSphericalExtras()

fastjet::SISConeSphericalExtras::SISConeSphericalExtras | ( | int | nparticles | ) |

inline

constructor

Definition at line 181 of file SISConeSphericalPlugin.hh.

## Member Function Documentation

## jet_def_plugin()

const SISConeSphericalPlugin * fastjet::SISConeSphericalExtras::jet_def_plugin | ( |  | ) | const

inline

access to the siscone jet def plugin (more convenient than getting it from the original jet definition, because here it's directly of the right type (rather than the base type)

Definition at line 187 of file SISConeSphericalPlugin.hh.

## Friends And Related Symbol Documentation

## SISConeSphericalPlugin

friend class SISConeSphericalPlugin

friend

Definition at line 193 of file SISConeSphericalPlugin.hh.

The documentation for this class was generated from the following file:

- plugins/SISCone/fastjet/SISConeSphericalPlugin.hh